Bug 202214 - [PATCH] devel/fpc-fcl-xml: fix after r393766
Summary: [PATCH] devel/fpc-fcl-xml: fix after r393766
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-10 09:13 UTC by Andrey Fesenko
Modified: 2015-08-19 16:01 UTC (History)
2 users (show)

See Also:
andrey: maintainer-feedback? (acm)


Attachments
patch-Makefile (648 bytes, patch)
2015-08-10 09:13 UTC, Andrey Fesenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2015-08-10 09:13:24 UTC
Created attachment 159725 [details]
patch-Makefile

Error misc/fpc-chm
Compiling src/chmtypes.pas
Fatal: Can't find unit URIParser used by XMLRead
Fatal: Compilation aborted

I'm see patch r393845 and fix devel/fpc-fcl-xml add "USE_FPC_RUN=   yes" after this success Built ports: devel/fpc-fcl-xml devel/fpc-fcl-registry devel/fpc-fcl-net devel/fpc-fcl-fpcunit misc/fpc-chm devel/fpc-fcl-db
Comment 1 Bugzilla Automation freebsd_committer 2015-08-10 09:13:24 UTC
Maintainer informed via mail
Comment 2 Andrey Fesenko 2015-08-10 12:43:24 UTC
Similar error www/fpc-fastcgi need fix devel/fpc-fpmkunit

for success build
devel/fpc-fppkg need add fcl-net fcl-passrc fpmkunit
devel/fpc-fcl-web need add fpmkunit
lang/fpc-utils need add fcl-xml fpmkunit paszlib
editors/lazarus-lcl-units need add fcl-json pasjpeg (fcl-base paszlib for stage)
editors/lazarus-lcl-gtk2 need add cairo
editors/lazarus need add chm dblib ibase mysql odbc postgres oracle sqlite
Comment 3 commit-hook freebsd_committer 2015-08-14 16:59:41 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Aug 14 16:59:25 UTC 2015
New revision: 394238
URL: https://svnweb.freebsd.org/changeset/ports/394238

Log:
  - Fix build by adding missing depends

  PR:		202214
  Submitted by:	andrey@bsdnir.info
  Approved by:	portmgr blanket

Changes:
  head/lang/fpc-utils/Makefile
Comment 4 commit-hook freebsd_committer 2015-08-14 18:13:55 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Aug 14 18:13:04 UTC 2015
New revision: 394245
URL: https://svnweb.freebsd.org/changeset/ports/394245

Log:
  - Fix build by adding missing depend

  PR:		202214
  Submitted by:	andrey@bsdnir.info
  Approved by:	portmgr blanket

Changes:
  head/editors/lazarus-lcl-gtk2/Makefile
Comment 5 Dmitry Marakasov freebsd_committer 2015-08-14 19:02:06 UTC
Should be fixed, please check.

lazarus-lcl-units need no changes and larazurus only needed one module. I plan to also recheck lazarus* depends as these may be excessive.
Comment 6 Andrey Fesenko 2015-08-14 20:24:06 UTC
confirm, all fpc* package need for my port build success.
Comment 7 Andrey Fesenko 2015-08-19 00:38:51 UTC
Help again, after new changes acm@ 
x11-toolkits/fpc-gtk2 need add hash